package kd.hrmp.hbjm.business.cascadedata;

import java.util.HashMap;
import java.util.Map;

/**
 * @author rd_ningjie
 * @description:TODO
 * @date 2022/6/6 14:38
 */
public abstract class AbstractCascadeDataValideApplication{

    //线程变量，同一个线程同一种类型的只创建一个CascadeDataValideService
    protected static ThreadLocal<Map<String, Object>> valideContainer = ThreadLocal.withInitial(() -> new HashMap<>());

    /**
     * @param key
     * @description: 清除service
     * @return: void
     * @author rd_ningjie
     * @date: 2022/6/6 9:51
     */
    public void refreshDataCache(String key) {
        valideContainer.get().put(key, null);
    }

    public void close() {
        valideContainer.remove();
    }
}
